<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: JsonObject Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classJsonObject-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">JsonObject Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> object.  
 <a href="classJsonObject.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="JSON_8h_source.html">JSON.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2fd636dc76491a1529e8d44da0c15b93"><td class="memItemLeft" align="right" valign="top"><a id="a2fd636dc76491a1529e8d44da0c15b93"></a>
<a class="el" href="classJsonArray.html">JsonArray</a>&#160;</td><td class="memItemRight" valign="bottom"><b>getArray</b> (std::string name)</td></tr>
<tr class="separator:a2fd636dc76491a1529e8d44da0c15b93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad80fed0c6cf783b90895170e88fc790e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonObject.html#ad80fed0c6cf783b90895170e88fc790e">getBoolean</a> (std::string name)</td></tr>
<tr class="memdesc:ad80fed0c6cf783b90895170e88fc790e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the named boolean value from the object.  <a href="#ad80fed0c6cf783b90895170e88fc790e">More...</a><br /></td></tr>
<tr class="separator:ad80fed0c6cf783b90895170e88fc790e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1ee31ad591bbb55fbdc97c38c041d83"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonObject.html#af1ee31ad591bbb55fbdc97c38c041d83">getDouble</a> (std::string name)</td></tr>
<tr class="memdesc:af1ee31ad591bbb55fbdc97c38c041d83"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the named double value from the object.  <a href="#af1ee31ad591bbb55fbdc97c38c041d83">More...</a><br /></td></tr>
<tr class="separator:af1ee31ad591bbb55fbdc97c38c041d83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05eff76d1f6f0df121113b62f59a326f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonObject.html#a05eff76d1f6f0df121113b62f59a326f">getInt</a> (std::string name)</td></tr>
<tr class="memdesc:a05eff76d1f6f0df121113b62f59a326f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the named int value from the object.  <a href="#a05eff76d1f6f0df121113b62f59a326f">More...</a><br /></td></tr>
<tr class="separator:a05eff76d1f6f0df121113b62f59a326f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d6e610c9cfe477d9b9126cee33d896b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classJsonObject.html">JsonObject</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonObject.html#a8d6e610c9cfe477d9b9126cee33d896b">getObject</a> (std::string name)</td></tr>
<tr class="memdesc:a8d6e610c9cfe477d9b9126cee33d896b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the named object value from the object.  <a href="#a8d6e610c9cfe477d9b9126cee33d896b">More...</a><br /></td></tr>
<tr class="separator:a8d6e610c9cfe477d9b9126cee33d896b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d38de00713456e0c9f788c8b07b6506"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonObject.html#a2d38de00713456e0c9f788c8b07b6506">getString</a> (std::string name)</td></tr>
<tr class="memdesc:a2d38de00713456e0c9f788c8b07b6506"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the named string value from the object.  <a href="#a2d38de00713456e0c9f788c8b07b6506">More...</a><br /></td></tr>
<tr class="separator:a2d38de00713456e0c9f788c8b07b6506"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa42b8e22d2f602d025554d3e801b73b4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonObject.html#aa42b8e22d2f602d025554d3e801b73b4">hasItem</a> (std::string name)</td></tr>
<tr class="memdesc:aa42b8e22d2f602d025554d3e801b73b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine if the object has the specified item.  <a href="#aa42b8e22d2f602d025554d3e801b73b4">More...</a><br /></td></tr>
<tr class="separator:aa42b8e22d2f602d025554d3e801b73b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9c68b15c7ee80d19e5064978ecae788"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonObject.html#ab9c68b15c7ee80d19e5064978ecae788">isValid</a> ()</td></tr>
<tr class="memdesc:ab9c68b15c7ee80d19e5064978ecae788"><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine if this represents a valid <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> node.  <a href="#ab9c68b15c7ee80d19e5064978ecae788">More...</a><br /></td></tr>
<tr class="separator:ab9c68b15c7ee80d19e5064978ecae788"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19f385d7149976a9726e84e2ff287317"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonObject.html#a19f385d7149976a9726e84e2ff287317">setArray</a> (std::string name, <a class="el" href="classJsonArray.html">JsonArray</a> array)</td></tr>
<tr class="memdesc:a19f385d7149976a9726e84e2ff287317"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the named array property.  <a href="#a19f385d7149976a9726e84e2ff287317">More...</a><br /></td></tr>
<tr class="separator:a19f385d7149976a9726e84e2ff287317"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a325a19e3eaff0b86f36af75f18786bc9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonObject.html#a325a19e3eaff0b86f36af75f18786bc9">setBoolean</a> (std::string name, bool value)</td></tr>
<tr class="memdesc:a325a19e3eaff0b86f36af75f18786bc9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the named boolean property.  <a href="#a325a19e3eaff0b86f36af75f18786bc9">More...</a><br /></td></tr>
<tr class="separator:a325a19e3eaff0b86f36af75f18786bc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a845838c1d36f3ff586b325b5b56b65bc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonObject.html#a845838c1d36f3ff586b325b5b56b65bc">setDouble</a> (std::string name, double value)</td></tr>
<tr class="memdesc:a845838c1d36f3ff586b325b5b56b65bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the named double property.  <a href="#a845838c1d36f3ff586b325b5b56b65bc">More...</a><br /></td></tr>
<tr class="separator:a845838c1d36f3ff586b325b5b56b65bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e874f6366c532732adbb7dcc50a641c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonObject.html#a3e874f6366c532732adbb7dcc50a641c">setInt</a> (std::string name, int value)</td></tr>
<tr class="memdesc:a3e874f6366c532732adbb7dcc50a641c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the named int property.  <a href="#a3e874f6366c532732adbb7dcc50a641c">More...</a><br /></td></tr>
<tr class="separator:a3e874f6366c532732adbb7dcc50a641c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdf7762d31f04063b1b6a871ae91af0e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonObject.html#acdf7762d31f04063b1b6a871ae91af0e">setObject</a> (std::string name, <a class="el" href="classJsonObject.html">JsonObject</a> value)</td></tr>
<tr class="memdesc:acdf7762d31f04063b1b6a871ae91af0e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the named object property.  <a href="#acdf7762d31f04063b1b6a871ae91af0e">More...</a><br /></td></tr>
<tr class="separator:acdf7762d31f04063b1b6a871ae91af0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac080c7b7037401cb2b0034c7f6220026"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonObject.html#ac080c7b7037401cb2b0034c7f6220026">setString</a> (std::string name, std::string value)</td></tr>
<tr class="memdesc:ac080c7b7037401cb2b0034c7f6220026"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the named string property.  <a href="#ac080c7b7037401cb2b0034c7f6220026">More...</a><br /></td></tr>
<tr class="separator:ac080c7b7037401cb2b0034c7f6220026"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94a56e5e5d1f7f2134470fd2f24bcf9f"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonObject.html#a94a56e5e5d1f7f2134470fd2f24bcf9f">toString</a> ()</td></tr>
<tr class="memdesc:a94a56e5e5d1f7f2134470fd2f24bcf9f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert the <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> object to a string.  <a href="#a94a56e5e5d1f7f2134470fd2f24bcf9f">More...</a><br /></td></tr>
<tr class="separator:a94a56e5e5d1f7f2134470fd2f24bcf9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3b8d1dee7b8246d26d717e31dd461bb"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonObject.html#ab3b8d1dee7b8246d26d717e31dd461bb">toStringUnformatted</a> ()</td></tr>
<tr class="memdesc:ab3b8d1dee7b8246d26d717e31dd461bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Build an unformatted string representation.  <a href="#ab3b8d1dee7b8246d26d717e31dd461bb">More...</a><br /></td></tr>
<tr class="separator:ab3b8d1dee7b8246d26d717e31dd461bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a66fb0fb6ee611c3bdf28f6d2b3d90422"><td class="memItemLeft" align="right" valign="top"><a id="a66fb0fb6ee611c3bdf28f6d2b3d90422"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>JSON</b></td></tr>
<tr class="separator:a66fb0fb6ee611c3bdf28f6d2b3d90422"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af31f5e7b4dce7249e7685d724bce62cb"><td class="memItemLeft" align="right" valign="top"><a id="af31f5e7b4dce7249e7685d724bce62cb"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>JsonArray</b></td></tr>
<tr class="separator:af31f5e7b4dce7249e7685d724bce62cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> object. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ad80fed0c6cf783b90895170e88fc790e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad80fed0c6cf783b90895170e88fc790e">&#9670;&nbsp;</a></span>getBoolean()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool JsonObject::getBoolean </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the named boolean value from the object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>The name of the object property. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The boolean value from the object. </dd></dl>

</div>
</div>
<a id="af1ee31ad591bbb55fbdc97c38c041d83"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1ee31ad591bbb55fbdc97c38c041d83">&#9670;&nbsp;</a></span>getDouble()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double JsonObject::getDouble </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the named double value from the object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>The name of the object property. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The double value from the object. </dd></dl>

</div>
</div>
<a id="a05eff76d1f6f0df121113b62f59a326f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05eff76d1f6f0df121113b62f59a326f">&#9670;&nbsp;</a></span>getInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int JsonObject::getInt </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the named int value from the object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>The name of the object property. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The int value from the object. </dd></dl>

</div>
</div>
<a id="a8d6e610c9cfe477d9b9126cee33d896b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d6e610c9cfe477d9b9126cee33d896b">&#9670;&nbsp;</a></span>getObject()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classJsonObject.html">JsonObject</a> JsonObject::getObject </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the named object value from the object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>The name of the object property. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The object value from the object. </dd></dl>

</div>
</div>
<a id="a2d38de00713456e0c9f788c8b07b6506"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d38de00713456e0c9f788c8b07b6506">&#9670;&nbsp;</a></span>getString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string JsonObject::getString </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the named string value from the object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>The name of the object property. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The string value from the object. A zero length string is returned when the object is not present. </dd></dl>

</div>
</div>
<a id="aa42b8e22d2f602d025554d3e801b73b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa42b8e22d2f602d025554d3e801b73b4">&#9670;&nbsp;</a></span>hasItem()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool JsonObject::hasItem </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Determine if the object has the specified item. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>The name of the property to check for presence. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if the object contains this property. </dd></dl>

</div>
</div>
<a id="ab9c68b15c7ee80d19e5064978ecae788"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9c68b15c7ee80d19e5064978ecae788">&#9670;&nbsp;</a></span>isValid()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool JsonObject::isValid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Determine if this represents a valid <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> node. </p>
<dl class="section return"><dt>Returns</dt><dd>True if this is a valid node and false otherwise. </dd></dl>

</div>
</div>
<a id="a19f385d7149976a9726e84e2ff287317"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19f385d7149976a9726e84e2ff287317">&#9670;&nbsp;</a></span>setArray()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void JsonObject::setArray </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classJsonArray.html">JsonArray</a>&#160;</td>
          <td class="paramname"><em>array</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the named array property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>The name of the property to add. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">array</td><td>The array to add to the object. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>N/A. </dd></dl>

</div>
</div>
<a id="a325a19e3eaff0b86f36af75f18786bc9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a325a19e3eaff0b86f36af75f18786bc9">&#9670;&nbsp;</a></span>setBoolean()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void JsonObject::setBoolean </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the named boolean property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>The name of the property to add. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>The boolean to add to the object. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>N/A. </dd></dl>

</div>
</div>
<a id="a845838c1d36f3ff586b325b5b56b65bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a845838c1d36f3ff586b325b5b56b65bc">&#9670;&nbsp;</a></span>setDouble()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void JsonObject::setDouble </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the named double property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>The name of the property to add. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>The double to add to the object. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>N/A. </dd></dl>

</div>
</div>
<a id="a3e874f6366c532732adbb7dcc50a641c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e874f6366c532732adbb7dcc50a641c">&#9670;&nbsp;</a></span>setInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void JsonObject::setInt </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the named int property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>The name of the property to add. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>The int to add to the object. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>N/A. </dd></dl>

</div>
</div>
<a id="acdf7762d31f04063b1b6a871ae91af0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acdf7762d31f04063b1b6a871ae91af0e">&#9670;&nbsp;</a></span>setObject()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void JsonObject::setObject </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classJsonObject.html">JsonObject</a>&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the named object property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>The name of the property to add. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>The object to add to the object. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>N/A. </dd></dl>

</div>
</div>
<a id="ac080c7b7037401cb2b0034c7f6220026"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac080c7b7037401cb2b0034c7f6220026">&#9670;&nbsp;</a></span>setString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void JsonObject::setString </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the named string property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>The name of the property to add. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>The string to add to the object. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>N/A. </dd></dl>

</div>
</div>
<a id="a94a56e5e5d1f7f2134470fd2f24bcf9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94a56e5e5d1f7f2134470fd2f24bcf9f">&#9670;&nbsp;</a></span>toString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string JsonObject::toString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Convert the <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> object to a string. </p>
<dl class="section return"><dt>Returns</dt><dd>A <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> string representation of the object. </dd></dl>

</div>
</div>
<a id="ab3b8d1dee7b8246d26d717e31dd461bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3b8d1dee7b8246d26d717e31dd461bb">&#9670;&nbsp;</a></span>toStringUnformatted()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string JsonObject::toStringUnformatted </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Build an unformatted string representation. </p>
<dl class="section return"><dt>Returns</dt><dd>A string representation. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="JSON_8h_source.html">JSON.h</a></li>
<li>JSON.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
